# Environment variable defaults for node and sveltekit
# NOTE: variables prefixed with 'PUBLIC_' are visible to clients!

PUBLIC_TITLE="Example TODO App"
PUBLIC_DESCRIPTION="An example TODO app built with sveltekit and fastapi."
PUBLIC_AUTHOR="John Doe"

HOST="0.0.0.0"
PORT="3000"

# WARNING: only set these if running behind a trusted reverse proxy!
# See `https://kit.svelte.dev/docs/adapter-node#environment-variables-origin-protocol-header-and-host-header`.
ORIGIN=http://localhost
PROTOCOL_HEADER="x-forwarded-proto"
HOST_HEADER="x-forwarded-host"

# See `https://kit.svelte.dev/docs/adapter-node#environment-variables-address-header-and-xff-depth`.
ADDRESS_HEADER="True-Client-IP"

# Maximum request body size to accept in bytes.
# See `https://kit.svelte.dev/docs/adapter-node#environment-variables-body-size-limit`.
BODY_SIZE_LIMIT="1048576"
